---
title: Python
description: >-
  <img width="35" src="https://raw.github.com/open-telemetry/opentelemetry.io/main/iconography/32x32/Python_SDK.svg"></img>
  A language-specific implementation of OpenTelemetry in Python.
aliases: [/python, /python/metrics, /python/tracing]
cascade:
  github_repo: &repo https://github.com/open-telemetry/opentelemetry-python
  github_subdir: website_docs
  path_base_for_github_subdir: content/en/docs/python/
  github_project_repo: *repo
weight: 22
---

This is the OpenTelemetry for Python documentation. OpenTelemetry is an
observability framework -- an API, SDK, and tools that are designed to aid in
the generation and collection of application telemetry data such as metrics,
logs, and traces. This documentation is designed to help you understand how to
get started using OpenTelemetry for Python.

## Status and Releases

The current status of the major functional components for OpenTelemetry Python
is as follows:

| Tracing   | Metrics | Logging             |
| -------   | ------- | ------------------- |
| Stable    | Alpha   | Not Yet Implemented |

{{% latest_release "python" /%}}

## Further Reading

- [Read the Docs](https://opentelemetry-python.readthedocs.io/en/stable/)
- [Examples](https://github.com/open-telemetry/opentelemetry-python/tree/main/docs/examples)
- [Contrib Repository](https://github.com/open-telemetry/opentelemetry-python-contrib)
